Sale Price Rule

A sale price rule record exposes a sale price rule to REST web services. This record is not a subrecord. This record has one subrecord: customerdimension.

The REST API browser includes information about the field names and field types of the sale price rule record, and about the HTTP methods, request parameters, and operations available to this record. For details, see the REST API Browser's reference page.

For information about using the REST API browser, see The REST API Browser.

Record ID

The record ID for a sale price rule REST record is salepricerule.

The record ID for a sale price rule subrecord is customerdimension.

Prerequisites

You must enable Pricing before you can use this record through REST web services.

You must use camel case for field names (likeThisExample).

Limitations

When you create a sale price rule, the inactive property must remain false by default. Also, base price rules must always be true.

Code Sample

The following code sample shows a common use case for updating a sale price rule record.

            POST
/services/rest/record/v1/salepricerule
User-Agent: NetSuite-REST-Client
Content-Type: application/json; charset=UTF-8
{ "currency": { "id": "1" }, "endDate": "2001-01-31", "name": "Test Price Rule", "priceLevel": { "id": "106" }, "priority": 1, "startDate": "2001-01-01"
} 

          

Related Topics

General Notices